<script>
import { Carousel, Navigation, Slide, Pagination } from "vue3-carousel";
import "vue3-carousel/dist/carousel.css";
import { string } from "yup/lib/locale";
export default {
  props: {
    data: [],
    type: string,
  },
  setup(props) {
    return { props };
  },
};
</script>

<template>
  <el-carousel indicator-position="outside" height="400px">
    <el-carousel-item v-for="item in props.data" :key="item">
      <div class="card card-bordered">
        <div class="card-header ribbon border-0">
          <div class="ribbon-label bg-primary">
            <div class="ig mx-1">
              <a
                href="https://www.instagram.com/smkdigitalservice/"
                target="_blank"
                rel="noopener noreferrer"
              >
                <i class="lab la-instagram fs-1 text-white"></i>
              </a>
            </div>
            <div class="wa mx-1">
              <a
                href="https://api.whatsapp.com/send?phone=6285790829138"
                target="_blank"
                rel="noopener noreferrer"
              >
                <i class="lab la-whatsapp fs-1 text-white"></i>
              </a>
            </div>
          </div>
          <div class="card-title">
            <img :src="item.image.Location" />
          </div>
        </div>
      </div>
    </el-carousel-item>
  </el-carousel>
</template>

<style>
.ribbon .ribbon-label {
  top: 10%;
}
</style>